export class PiwikHelper{
  public static siteIDs={
    "connect": 80,
    "dh-ch":81,
    "ee":82,
    "egi":83,
    "elixir-gr":84,
    "fam":85,
    "instruct":86,
    "mes":87,
    "ni":88,
    "oa-pg":89,
    "rda":90,
    "aginfra":93,
    "clarin":100,
    "dariah":103
  };
  public static siteIDsProduction={
    "connect": 112,
    "dh-ch":198,
    "ee":200,
    "egi":'',
    "elixir-gr":'',
    "fam":197,
    "instruct":'',
    "mes":196,
    "ni":199,
    "oa-pg":'',
    "rda":'',
    "aginfra":'',
    "clarin":'',
    "dariah":''
  };
  public static getSiteId(communityId:string, environment:string){
    if(environment == 'production'){
      return this.siteIDsProduction[communityId];
    }
    return this.siteIDs[communityId];
  }

}
